<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org/" lang="en">
    <head> 
        <title>Book Zone</title> 
        <meta name="viewport" content="width=device-width">
        <link rel="stylesheet" href="/css/form.css"/>
        <script src="/js/bookings.js" type="text/javascript"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="/css/bookZone.css"/>
        <!-- Matomo -->
        <script>
            var _paq = window._paq = window._paq || [];
            /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            (function() {
            var u="//matomomufish.duckdns.org/";
            _paq.push(['setTrackerUrl', u+'matomo.php']);
            _paq.push(['setSiteId', '1']);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
            g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
            })();
        </script>
    </head>
    
    <body>
        <div class="cont">
            <a  href="/home"><img id = "back" src="/images/back.png" alt="Back button"></a>
            <h2>BOOK A ZONE</h2>
            <form action="/requestZone">
                <label id="fishtype">
                    <p>Fish type:</p>
                    <select name="fishtype" class="form-control" id="portControlSelect1" data-mdb-filter="true" placeholder="fish type">
                        <option value="Lubina">Lubina</option>
                        <option value="Gallo">Gallo</option>
                        <option value="Sardina">Sardina</option>
                        <option value="Luna">Luna</option>
                        <option value="Tiburon">Tiburon</option>
                    </select>
                </label>
                <br>
                <label id="amount">
                    <p>Amount:</p>
                    <input type="number" name="amount" class="form-control" placeholder="amount (x100) kg" required>
                </label>
                <br>
                <label id="ship">
                    <p>Ship:</p>
                    <select name="ship" placeholder="ship" class="form-control" id="formGroupExampleInput" data-mdb-filter="true">
                        <option  th:each="boat : ${session.userBoatList}" th:value="${boat.boatId}" th:text="${boat.name}"></option>
                    </select>
                </label>
                <br>
                <br>
                <a><button type="submit" class="button" onclick="_paq.push(['trackEvent', 'Bookings', 'Make a request Clicked', 'Make a request']);">Make a request</button></a>
            </form>
        </div>
    </body>
</html>
